> For the complete documentation index, see [llms.txt](https://aplazo.gitbook.io/aplazo-integrations/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://aplazo.gitbook.io/aplazo-integrations/api-reference/online-api/get-refund-status.md).

# Get refund status

## Environments

{% tabs %}
{% tab title="Development" %}
<https://merchant.aplazo.net/api>
{% endtab %}

{% tab title="Production" %}
<https://merchant.aplazo.mx/api>
{% endtab %}
{% endtabs %}

## Get refund status for a specific cart

> Retrieves the status of all refund requests for a given cart.

```json
{"openapi":"3.0.3","info":{"title":"Aplazo Online API","version":"1.0.0"},"servers":[{"url":"https://merchant.aplazo.net/api"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}}},"paths":{"/v1/merchant/refund/status":{"get":{"summary":"Get refund status for a specific cart","description":"Retrieves the status of all refund requests for a given cart.","parameters":[{"name":"cartId","in":"query","required":true,"schema":{"type":"string"},"description":"The unique identifier of the cart to query refund statuses for."}],"responses":{"200":{"description":"Refund statuses retrieved successfully.","content":{"application/json":{"schema":{"type":"array","items":{"type":"object","properties":{"id":{"type":"integer","description":"Aplazo identifier for the refund request."},"status":{"type":"string","description":"Current status of the refund request.","enum":["REQUESTED","REJECTED","REFUNDED"]},"refundDate":{"type":"string","format":"date-time","description":"Timestamp when the refund was requested."},"amount":{"type":"number","format":"float","description":"The amount being refunded in this request."}}}}}}}},"tags":["Refunds"]}}}}
```
